# Tracking Certificate: Regenerate expired certificate

Initiates regeneration of an expired TLS certificate for the tracking domain in a background task.  Once generation is enqueued, you may poll status endpoint in location field to check for success.  This will not regenerate an existing certificate that is still valid

Endpoint: PUT /v2/x509/{domain}
Version: 3.0.0
Security: basicAuth

## Path parameters:

  - `domain` (string, required)
    The tracking domain of the TLS certificate, formatted as webPrefix.domainName from domains settings

## Response 202 fields (application/json):

  - `message` (string, required)
    A message indicating the status of the request.

  - `location` (string, required)
    The URL path to check the status of the certificate.

## Response 400 fields (application/json):

  - `Reason` (string, required)

## Response 402 fields (application/json):

  - `Reason` (string, required)

## Response 404 fields (application/json):

  - `Description` (string, required)

## Response 409 fields (application/json):

  - `Description` (string, required)

## Response 429 fields (application/json):

  - `Description` (string, required)


